﻿using Syncfusion.SfChart.XForms;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

using Xamarin.Forms;

namespace App
{
    public partial class ChartSample : ContentPage
    {
        public ChartSample()
        {
            InitializeComponent();

            Chart.Title.Text = "Chart";

            ChartAxisLabelStyle labelStyle = new ChartAxisLabelStyle() { TextColor = Color.White };
            ChartLineStyle linestyle = new ChartLineStyle() { StrokeColor = Color.White };

            // Y Axis
            NumericalAxis yAxis = new NumericalAxis();
            yAxis.Title.Text = "Height (in cm)";
            yAxis.LabelStyle = labelStyle;
            yAxis.AxisLineStyle = linestyle;
            yAxis.MajorGridLineStyle = linestyle;

            CategoryAxis xAxis = new CategoryAxis();
            xAxis.Title.Text = "Name";
            xAxis.LabelStyle = labelStyle;
            xAxis.AxisLineStyle = linestyle;
            xAxis.MajorGridLineStyle = linestyle;

            // Y Axis (2)
            RangeAxisBase YAxis_Right = new NumericalAxis()
            {
                OpposedPosition = true,
                LabelStyle = labelStyle,
                AxisLineStyle = linestyle,
                MinorGridLineStyle = linestyle,
                ShowMajorGridLines = false,
                Title = new ChartAxisTitle() { Text = "Age" }
            };

            Chart.PrimaryAxis = xAxis;
            Chart.SecondaryAxis = yAxis;

            ViewModel vm = new ViewModel();

            Chart.BindingContext = vm;
            Chart.BackgroundColor = Color.Black;

            SplineSeries series1 = new SplineSeries();
            series1.SetBinding(ChartSeries.ItemsSourceProperty, new Binding("Data"));
            series1.XBindingPath = "Name";
            series1.YBindingPath = "Height";
            series1.Color = Color.Green;
            Chart.Series.Add(series1);

            SplineSeries series2 = new SplineSeries();
            series2.SetBinding(ChartSeries.ItemsSourceProperty, new Binding("Data"));
            series2.XBindingPath = "Name";
            series2.YBindingPath = "Age";
            series2.YAxis = YAxis_Right;
            series2.Color = Color.Aqua;
            Chart.Series.Add(series2);

        }
    }
}

